import 'package:flutter_slick/navigation/route_builder.dart';

import '../screens/index.dart';
import '../screens/sample.dart';
import '../utils/navigation.dart';

import 'entity.dart' as entity_paths;

final root = RouteBuilder(
  pattern: RegExp(r'^/(.*)$'),
  path: (_, subPath) => '/$subPath',
  parser: RouteArguments.parse,
  paths: [
    sample,
    entity_paths.root,
  ],
  rewrite: never,
  build: (_, __, ___) async => const IndexScreen(),
);

final sample = RouteBuilder(
  pattern: RegExp(r'^sample$'),
  path: (_, __) => 'sample',
  parser: RouteArguments.parse,
  build: (_, __, ___) async => const SampleScreen(),
  rewrite: never,
);
