import 'package:flutter/material.dart';
import 'package:flutter_slick/components/layout/spaced_column.dart';
import 'package:flutter_slick/navigation/logic.dart';
import 'package:flutter_slick/navigation/route_path.dart';

import '../utils/navigation.dart';
import '../paths/entity.dart' as entity;

class EntityScreen extends StatelessWidget {
  final RoutePath<EntityArguments> parent;

  const EntityScreen({
    super.key,
    required this.parent,
  });

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Center(
        child: SpacedColumn(
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            Text('Entity ${parent.args.id}'),
            TextButton(
              onPressed: () => navigate(
                context,
                entity
                    .viewSub(entity.rootSub(parent, EntityArguments(id: '1'))),
              ),
              child: const Text('Sub Entity 1'),
            ),
            TextButton(
              onPressed: () => navigate(
                context,
                entity
                    .viewSub(entity.rootSub(parent, EntityArguments(id: '2'))),
              ),
              child: const Text('Sub Entity 2'),
            ),
            TextButton(
              onPressed: () => navigate(
                context,
                entity
                    .viewSub(entity.rootSub(parent, EntityArguments(id: '3'))),
              ),
              child: const Text('Sub Entity 3'),
            ),
          ],
        ),
      ),
    );
  }
}
