import 'package:example/utils/navigation.dart';
import 'package:flutter/material.dart';
import 'package:flutter_slick/components/layout/spaced_column.dart';
import 'package:flutter_slick/navigation/logic.dart';

import '../paths/root.dart' as root;
import '../paths/entity.dart' as entity;

class IndexScreen extends StatelessWidget {
  const IndexScreen({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    var parent = getPath(context);
    return Scaffold(
      body: Center(
        child: SpacedColumn(
          mainAxisAlignment: MainAxisAlignment.center,
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            TextButton(
              onPressed: () => navigate(
                context,
                root.sample(parent),
              ),
              child: const Text('Sample'),
            ),
            TextButton(
              child: const Text('Sample Entity 1'),
              onPressed: () => navigate(
                context,
                entity.view(entity.root(parent, EntityArguments(id: '1'))),
              ),
            ),
            TextButton(
              child: const Text('Sample Entity 2'),
              onPressed: () => navigate(
                context,
                entity.view(entity.root(parent, EntityArguments(id: '2'))),
              ),
            ),
            TextButton(
              child: const Text('Sample Entity 3'),
              onPressed: () => navigate(
                context,
                entity.view(entity.root(parent, EntityArguments(id: '3'))),
              ),
            ),
          ],
        ),
      ),
    );
  }
}
