import 'package:flutter/material.dart';

class StandardTextField extends StatelessWidget {
  final String? initialValue;
  final FormFieldValidator<String>? validator;
  final int? minLines;
  final int? maxLines;
  final FocusNode? focusNode;
  final TextEditingController? controller;
  final bool enabled;
  final bool autofocus;
  final String labelText;
  final Function(String?) onChanged;

  const StandardTextField({
    super.key,
    this.initialValue,
    this.validator,
    this.minLines,
    this.maxLines,
    this.focusNode,
    this.controller,
    this.enabled = true,
    this.autofocus = false,
    required this.labelText,
    required this.onChanged,
  });

  @override
  Widget build(BuildContext context) {
    return TextFormField(
      initialValue: initialValue,
      validator: validator,
      keyboardType: TextInputType.text,
      minLines: minLines,
      maxLines: maxLines,
      focusNode: focusNode,
      controller: controller,
      autofocus: autofocus,
      decoration: InputDecoration(
        enabled: enabled,
        labelText: labelText,
      ),
      onChanged: onChanged,
    );
  }
}
