import 'package:flutter/material.dart';
import 'package:flutter_slick/navigation/logic.dart';

import 'route_path.dart';

class StandardRouteInformationParser extends RouteInformationParser<RoutePath> {
  final NavigationLogic logic;

  StandardRouteInformationParser(this.logic);

  @override
  Future<RoutePath> parseRouteInformation(
    RouteInformation routeInformation,
  ) async {
    var rootPath = logic.rootPath;
    var uri = Uri.parse(routeInformation.location ?? '');
    var path = rootPath.parse(uri.path, uri.queryParameters, null);
    return path ?? logic.bareBuilder(uri.path, logic.notFoundScreen)();
  }

  @override
  RouteInformation restoreRouteInformation(
    RoutePath configuration,
  ) {
    return RouteInformation(location: configuration.path());
  }
}
