import 'package:flutter/material.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:mockito/mockito.dart';

import 'package:flutter_slick/navigation/route_builder.dart';

class MockBuildContext extends Mock implements BuildContext {}

void main() {
  test('build minimal route', () async {
    var routeBuilder = RouteBuilder(
      pattern: RegExp(r''),
      parser: (_, __) => RouteArguments(),
      path: (_, __) => '',
      build: (_, __, ___) async => const Text('Test'),
      rewrite: (_, __) async => null,
    );
    var routePath = routeBuilder();
    assert(routePath.path() == '');
    var context = MockBuildContext();
    var result = await routePath.build(context) as Text;
    assert(result.data == 'Test');
  });
}
